apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: geocrop-minio
  namespace: geocrop
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/proxy-body-size: "200m"
spec:
  ingressClassName: nginx
  tls:
    - hosts:
        - minio.portfolio.techarvest.co.zw
      secretName: minio-api-tls
    - hosts:
        - console.minio.portfolio.techarvest.co.zw
      secretName: minio-console-tls
  rules:
    - host: minio.portfolio.techarvest.co.zw
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: minio
                port:
                  number: 9000
    - host: console.minio.portfolio.techarvest.co.zw
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: minio
                port:
                  number: 9001
